Bug 981680 - wired connection stops working when wireless is active, have to manually choose wired or wireless
wired connection stops working when wireless is active, have to manually choo...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-07-05 09:12 EDT by Tom Georgoulias
Modified: 2013-11-26 18:17 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1080709 (view as bug list)
Last Closed: 2013-11-26 18:17:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Georgoulias 2013-07-05 09:12:05 EDT
Description of problem:
The NIC on my laptop does not keep a stable network connection if my wireless card is enabled and I am simultaneously plugged into a wired connection.  The wired connection works for variable period of time, then all of my network connections start hanging.  If I pull the plug on my wired connection, it will switch back to wireless and start working again.  If I do the reverse and kill the radio via the keyboard killswitch, then switch to the wired, it also starts working.

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. Plug network patch cable into on board NIC when wifi is active, or boot laptop with cable plugged in (wifi starts automatically on boot)
2. Wait

Actual results:

Laptop will use wired connection for some period of time, could be a few mins or could be a little longer, then all networking operations hang unti I pull the cable or kill the wifi with the switch on my keyboard.

Expected results:
Wired connection should just work.

Additional info:

I did not experience this behavior in Fedora 17 or any prior release, the NIC has "just worked" on this laptop since Fedora 14 or 15.

08:00.0 Ethernet controller: Qualcomm Atheros AR8151 v2.0 Gigabit Ethernet (rev c0)
	Subsystem: Hewlett-Packard Company Device 1650
	Flags: bus master, fast devsel, latency 0, IRQ 45
	Memory at c1400000 (64-bit, non-prefetchable) [size=256K]
	I/O ports at 2000 [size=128]
	Capabilities: [40] Power Management version 3
	Capabilities: [48] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [58] Express Endpoint, MSI 00
	Capabilities: [6c] Vital Product Data
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [180] Device Serial Number ff-f9-df-82-10-1f-74-ff
	Kernel driver in use: atl1c

# modinfo atl1c
filename:       /lib/modules/3.9.8-300.fc19.i686.PAE/kernel/drivers/net/ethernet/atheros/atl1c/atl1c.ko
license:        GPL
description:    Qualcom Atheros 100/1000M Ethernet Network Driver
author:         Qualcomm Atheros Inc., <nic-devel@qualcomm.com>
author:         Jie Yang
srcversion:     BDE702F64103375A65FCBB2
alias:          pci:v00001969d00001083sv*sd*bc*sc*i*
alias:          pci:v00001969d00001073sv*sd*bc*sc*i*
alias:          pci:v00001969d00002062sv*sd*bc*sc*i*
alias:          pci:v00001969d00002060sv*sd*bc*sc*i*
alias:          pci:v00001969d00001062sv*sd*bc*sc*i*
alias:          pci:v00001969d00001063sv*sd*bc*sc*i*
intree:         Y
vermagic:       3.9.8-300.fc19.i686.PAE SMP mod_unload 686 
signer:         Fedora kernel signing key
sig_key:        F4:91:27:00:2C:8A:29:92:9F:C4:33:B7:AB:1A:3F:87:02:40:AB:A6
sig_hashalgo:   sha256
Comment 1 Josh Boyer 2013-07-05 09:31:04 EDT
Neil, I think you were working on another bug that is this exact issue but I've stared at so many different bugs this week that I can't remember which it was.  Want to dup this to the other bug if I'm remembering correctly?
Comment 2 Tom Georgoulias 2013-07-07 10:53:29 EDT
More data that might help isolate this.

This seems to work:  If I boot up my laptop w/o a cable plugged into the nic, log into my desktop session, then plug in to use the wired connection, it seems to be fine and I use wired the entire time.

As soon as my session is idle and the screensaver starts (or if I activate the screensaver manually), the wired connection won't recover when I log back in.  Ihave to pull and reseat the connection to get it working.

Also, if I put the laptop to sleep, it behaves the same way when I wake it back up.  I have to reseat the wired connection.

I am running the latest kernel, 3.9.9-301.fc19.i686.PAE.  It still has this bug.
Comment 3 Michele Baldessari 2013-08-17 18:41:25 EDT

could you check if by chance https://bugzilla.redhat.com/show_bug.cgi?id=995308 is related (see last comment there)?

Comment 4 Tom Georgoulias 2013-08-17 20:23:10 EDT
Thank you for the suggestion, I have installed kernel-PAE-3.10.7-200.fc19.i686.rpm and will report back with my findings.
Comment 5 Tom Georgoulias 2013-08-18 21:09:26 EDT
So far so good.  I have been running this kernel for nearly a day and haven't had the wired connection drop on me once.  I have been running my laptop "normally", letting network manager handle the NIC and not using any toggle switches or the radio kill switch.  I'm still testing it and will post another update tomorrow or the next day if things are still going smoothly, or sooner if it fails on me.
Comment 6 Tom Georgoulias 2013-08-19 21:26:35 EDT
The wired NIC under the new kernel continues to work w/o error.
Comment 7 Tom Georgoulias 2013-08-19 21:26:56 EDT
The wired NIC using the new kernel continues to work w/o error.
Comment 8 Michele Baldessari 2013-11-26 03:37:51 EST
Hi Tom,

is the issue gone? If yes, can you go ahead and close this BZ?

Comment 9 Tom Georgoulias 2013-11-26 18:05:04 EST
Yes, I'm no longer suffering from this bug.  You can close this BZ.
Comment 10 Josh Boyer 2013-11-26 18:17:33 EST
Thanks all.

Note You need to log in before you can comment on or make changes to this bug.